Lines Matching refs:FATAL
248 FATAL="$LOGGER -p fatal"
275 FATAL="postlog -p fatal -t $MAIL_LOGTAG/postfix-tls-script"
277 $FATAL "$msg" || { echo "$msg" >&2; sleep 1; }
304 $FATAL "/bin/sh does not implement a compatible 'getopts' built-in"
316 $FATAL "No working openssl(1) command found with 'openssl_path = $openssl'"
323 $FATAL no Postfix configuration directory $config_directory!
331 $FATAL "Postfix $mail_version is not compiled with TLS support"
359 $FATAL "Postfix $mail_version does not support either RSA or ECDSA"
369 $FATAL No /dev/fd/0 or /dev/stdin found
388 $FATAL "No 'postfix tls' support when openssl(1) is obsolete"
450 $FATAL "Error copying private key from '${_fold}' to '${_fnew}'"
454 $FATAL "Key algorithm '$key_algo' of '${_fold}' is not '${_algo}'"
467 "") $FATAL "Internal error: empty algorithm"; return 1;;
471 *) $FATAL "Internal error: bad algorithm '${_algo}'"
482 $FATAL "error generating new ${_algo} ${_bits} private key"
495 $FATAL "New certificate file already exists: ${_c}"
521 $FATAL "error generating self-signed SSL certificate"
687 $FATAL "no private key found in file: $1"
699 "") $FATAL "Internal error: empty algorithm "; return 1;;
704 *) $FATAL "Internal error: bad algorithm '${_algo}'"
709 $FATAL "New private key file already exists: ${keyfile}"
713 $FATAL "New certificate file already exists: ${certfile}"
739 $FATAL no default TLS random source defined and no /dev/urandom
786 $FATAL "error computing certificate public key digest"
790 $FATAL "error computing public key digest"
795 $FATAL "Certificate in ${certfile} does not match key in ${keyfile}"
891 $FATAL error computing SHA2-256 SPKI digest of "$key"
908 *) $FATAL "usage: postfix tls $cmd [-r devrandom]"
915 $FATAL "usage: postfix tls $cmd [-r devrandom]"
936 *) $FATAL "usage: postfix tls $cmd [-a algorithm] [-b bits ] [-r devrandom] [hostname ...]"
946 "") $FATAL "Internal error: empty algorithm "; return 1;;
949 *) $FATAL "Unsupported private key algorithm: $algo"
965 *) $FATAL "usage: postfix tls $cmd [-a algorithm] [-b bits ] [hostname ...]"
975 "") $FATAL "Internal error: empty algorithm "; return 1;;
978 *) $FATAL "Unsupported public key algorithm: $algo"
994 *) $FATAL "usage: postfix tls $cmd [-a algorithm] [-b bits ] [hostname ...]"
1004 "") $FATAL "Invalid empty key algorithm"; exit 1;;
1007 *) $FATAL "Unsupported private key algorithm: $algo"
1025 $FATAL "usage: postfix tls $1 certfile keyfile"
1053 *) $FATAL "usage: postfix tls $cmd [-k keyfile] [hostname ...]"
1075 $FATAL "No usable keyfile specified or configured"
1096 *) $FATAL "usage: postfix tls $cmd [-h hostname] [keyfile ...]"
1119 $FATAL "No usable keyfiles specified or configured"
1129 $FATAL "usage: postfix tls $cmd"
1141 $FATAL "usage: postfix tls $cmd"
1150 $FATAL "usage: postfix tls enable-client (or enable-server, new-server-key, new-server-cert, deploy-server-cert, output-server-csr, output-server-tlsa, all-default-client, all-default-server)"